<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Interaction extends Model {

    public $fillable = [
        'solicitor_id',
        'agent_id',
        'interactable_id',
        'interactable_type',
        'channel',
        'direction',
        'status',
        'timestamp',
    ];

    public function interactable() {
        return $this->morphTo();
    }
}
